var odpytajSerwer = function() {
  $.get('czat.php', function(wynik) {

    if(!wynik.sukces) {
      console.log("Błąd podczas pobierania nowych wiadomości z serwera!");
      return;
    }
    
    $.each(wynik.wiadomosci, function(idx) {
      
      var dymekCzatu;
      
      if(this.wyslana_przez == 'ja') {
        dymekCzatu = $('<div class="row bubble-sent pull-right">' + 
                 this.wiadomosc + 
                 '</div><div class="clearfix"></div>');
      } else {
        dymekCzatu = $('<div class="row bubble-recv">' + 
                 this.wiadomosc + 
                 '</div><div class="clearfix"></div>');
      }
      
      $('#panelCzatu').append(dymekCzatu);
    });
    
    setTimeout(odpytajSerwer, 5000);
  });
}

$(document).ready(function() {
  odpytajSerwer();
  
  $('button').click(function() {
    $(this).toggleClass('active');
  });
});

$('#wyslijWiadomoscBtn').on('click', function(zdarzenie) {
  zdarzenie.preventDefault();
  
  var wiadomosc = $('#trescWiadomosci').val();
  
  $.post('czat.php', {
    'wiadomosc' : wiadomosc
  }, function(wynik) {
    
    $('#wyslijWiadomoscBtn').toggleClass('active');
    
    if(!wynik.sukces) {
      alert("Błąd podczas wysyłania wiadomości!");
    } else {
      console.log("Wiadomość została wysłana!");
      $('#trescWiadomosci').val('');
    }
  });
  
});
